org.apache.cassandra.cql3.functions

## Class UDFByteCodeVerifier

- java.lang.Object
- - org.apache.cassandra.cql3.functions.UDFByteCodeVerifier

    public final class UDFByteCodeVerifier
    extends java.lang.Object

Verifies Java UDF byte code. Checks for disallowed method calls (e.g. `Object.finalize()`), additional code in the constructor, use of `synchronized` blocks, too many methods.

### Field Summary

Fields
`static java.lang.String` `CTOR_SIG`
`static java.lang.String` `JAVA_UDF_NAME`
`static java.lang.String` `OBJECT_NAME`

### Constructor Summary

Constructors
Constructor and Description
`UDFByteCodeVerifier()`

### Method Summary

All Methods Instance Methods Concrete Methods
`UDFByteCodeVerifier` `addDisallowedClass(java.lang.String clazz)`
`UDFByteCodeVerifier` `addDisallowedMethodCall(java.lang.String clazz, java.lang.String method)`
`UDFByteCodeVerifier` `addDisallowedPackage(java.lang.String pkg)`
`java.util.Set<java.lang.String>` `verify(java.lang.String clsName, byte[] bytes)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### JAVA_UDF_NAME

    public static final java.lang.String JAVA_UDF_NAME

#### OBJECT_NAME

    public static final java.lang.String OBJECT_NAME

#### CTOR_SIG

    public static final java.lang.String CTOR_SIG

See Also:
  Constant Field Values

### Constructor Detail

#### UDFByteCodeVerifier

    public UDFByteCodeVerifier()

### Method Detail

#### addDisallowedClass

    public UDFByteCodeVerifier addDisallowedClass(java.lang.String clazz)

#### addDisallowedMethodCall

    public UDFByteCodeVerifier addDisallowedMethodCall(java.lang.String clazz,
                                                       java.lang.String method)

#### addDisallowedPackage

    public UDFByteCodeVerifier addDisallowedPackage(java.lang.String pkg)

#### verify

    public java.util.Set<java.lang.String> verify(java.lang.String clsName,
                                                  byte[] bytes)